io.undertow.server.handlers

## Class BlockingWriteTimeoutHandler.Builder

- java.lang.Object
- - io.undertow.server.handlers.BlockingWriteTimeoutHandler.Builder

Enclosing class:
  BlockingWriteTimeoutHandler

    public static final class BlockingWriteTimeoutHandler.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `build()`
`BlockingWriteTimeoutHandler.Builder` `nextHandler(HttpHandler nextHandler)`
`BlockingWriteTimeoutHandler.Builder` `writeTimeout(Duration writeTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeTimeout

    public BlockingWriteTimeoutHandler.Builder writeTimeout(Duration writeTimeout)

#### nextHandler

    public BlockingWriteTimeoutHandler.Builder nextHandler(HttpHandler nextHandler)

#### build

    public HttpHandler build()